Skip to main content
Compute Management/Image Storage Related Interfaces/Image Storage Related Interfaces/Distributed Image Storage Related Interfaces
POSTDistributed Image Storage Related InterfacesSince 0.6SynchronousAuth Required

Add Distributed Image Storage

Add Distributed Image Storage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • monUrlsListRequired

      List of mon addresses for the distributed image storage

    • poolNameString

      Name of the distributed image storage pool used to store images

    • urlStringRequired

      Not used

    • nameStringRequired

      Image storage name

    • descriptionString

      Detailed description of the image storage

    • typeString

      Type of the image storage, here it is distributed image storage

    • importImagesboolean

      Whether to import images after adding

    • resourceUuidString

      Resource UUID. If specified, the image storage will use this value as its UUID.

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. See error

    • codeStringRequired

      Error code number, globally unique identifier, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause. The source error that triggered the current error. This field is null if there is no original error

  • inventoryBackupStorageInventoryRequired

    See inventory

    • uuidStringRequired

      Resource UUID, uniquely identifies the resource

    • nameStringRequired

      Resource name

    • urlStringRequired

      地址。

    • descriptionStringRequired

      Detailed description of the resource

    • totalCapacityLongRequired

      总容量。

    • availableCapacityLongRequired

      可用容量。

    • typeStringRequired

      类型。

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • attachedZoneUuidsListRequired

      附加区域UUID。

Endpoint

POST/zstack/v1/backup-storage/ceph

/zstack/v1/backup-storage/ceph

Operation ID

AddCephBackupStorage

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/backup-storage/ceph' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"monUrls":["<monUrls>"],"poolName":"<poolName>","url":"<url>","name":"<name>","description":"<description>","type":"<type>","importImages":true,"resourceUuid":"<resourceUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "My Backup Storage", "description": "Public Backup Storage", "totalCapacity": 1.073741824E9, "availableCapacity": 9.68884224E8, "type": "Ceph", "state": "Enabled", "status": "Connected", "createDate": "Jun 7, 2017 9:20:17 PM", "lastOpDate": "Jun 7, 2017 9:20:17 PM", "attachedZoneUuids": [ "812bb731a83847ffba9d8caa3a4633d2" ] } }

Change History

This API has no change history records yet.

View all change history